List all exception types
Returns a list of all possible exception types for a porting order.
GET
/
porting_orders
/
exception_types
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.portingOrders.retrieveExceptionTypes();
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.porting_orders.retrieve_exception_types()
print(response.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.PortingOrders.GetExceptionTypes(context.TODO())
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.portingorders.PortingOrderRetrieveExceptionTypesParams;
import com.telnyx.sdk.models.portingorders.PortingOrderRetrieveExceptionTypesResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
PortingOrderRetrieveExceptionTypesResponse response = client.portingOrders().retrieveExceptionTypes();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.porting_orders.retrieve_exception_types
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->portingOrders->retrieveExceptionTypes();
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx porting-orders retrieve-exception-types \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/porting_orders/exception_types \
--header 'Authorization: Bearer <token>'{
"data": [
{
"code": "ENTITY_NAME_MISMATCH",
"description": "Entity name does not match that on the CSR"
}
]
}Was this page helpful?
Update a porting activation job
Previous
Retrieve the associated V1 sub_request_id and port_request_id
Next
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.portingOrders.retrieveExceptionTypes();
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.porting_orders.retrieve_exception_types()
print(response.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.PortingOrders.GetExceptionTypes(context.TODO())
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.portingorders.PortingOrderRetrieveExceptionTypesParams;
import com.telnyx.sdk.models.portingorders.PortingOrderRetrieveExceptionTypesResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
PortingOrderRetrieveExceptionTypesResponse response = client.portingOrders().retrieveExceptionTypes();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.porting_orders.retrieve_exception_types
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->portingOrders->retrieveExceptionTypes();
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx porting-orders retrieve-exception-types \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/porting_orders/exception_types \
--header 'Authorization: Bearer <token>'{
"data": [
{
"code": "ENTITY_NAME_MISMATCH",
"description": "Entity name does not match that on the CSR"
}
]
}